LINUX.ORG.RU

openSUSE Leap 15.3

 


0

3

Вышла минорная версия дистрибутива openSUSE Leap 15.3.

Данный релиз построен не только из исходного кода SUSE Linux Enterprise, как в предыдущих версиях, но и с использованием тех же двоичных пакетов.

Что нового:

  • Xfce 4.16, новые иконки и палитра
  • DNF 4.7.0
  • KDE Plasma 5.18 LTS
  • GNOME 3.34
  • Systemd 246
  • Mesa 20.2.4
  • LibreOffice 7.1.1
  • MPV 0.32

Добавлены пакеты: TensorFlow Lite 2020.08.23, PyTorch 1.4.0, ONNX 1.6.0, Grafana 7.3.1.
Из репозиториев удалены пакеты: KDE 4 и Qt 4.
В устаревшие пакеты попал Midori, который теперь не поддерживается и использовать его не рекомендуется. В следующем релизе он будет удалён.

Ядро осталось прежней версии — 5.3.18.

>>> Подробности

Короткая сводка проблем:


  • Дурное ядро. Как они не старались портировать драйверы из апстрима, вега все равно глючит. Со свежими ядрами все ок.
  • Qt 5.12. Так и будет. Вечно. А значит, никакого вам свежего софта на кутях, даже в сторонних репо.
  • Plasma LTS. Сами разработчики KDE пишут в бложике «это была ошибка, этот LTS мы на самом деле не поддерживаем, а потому он кривое говно, пожалуйста не пользуйтесь им». Но нет же, у нас «стабильность»
  • Версии основных системных библиотек, включая libc, ниже, чем в актуальной ubuntu lts. А это значит, через годик новые версии проприетарных программ перестанут запускаться.
  • btrfs по умолчанию, при этом установщик до сих пор не умеет монтировать субтома уже существующей фс. Только если ты форматируешь новую ФС.
  • Они месяц тестировали обновления, но оказалось, что не те. По итогу, если сейчас запустить zypper patch, он захочет снести половину системы. Обещают поправить где-то через неделю.



Удачного забега по граблям! Или, как говорят в openSUSE - Have a lot of fun!

Khnazile ★★★★★ ()

Вот ЛибреОфис уже 7-й вкрячили, а вот Гном и КДЕ могли бы и 3.38 и 5.21 поставить - у них куча мелочей допилена до разумного состояния. Вот как раз из соображений стабильности и могли бы.

IRASoldier ()
Ответ на: комментарий от Khnazile

Версии основных системных библиотек, включая libc, ниже, чем в актуальной ubuntu lts. А это значит, через годик новые версии проприетарных программ перестанут запускаться.

А кто сказал, что проприетарный софт собирают на последней Ubuntu LTS? Это уже кто как хочет. Поэтому не факт.

btrfs по умолчанию

Левой пяткой можно поставить и на ext4.

saahriktu ★★★★★ ()
Ответ на: комментарий от saahriktu

Из новости не ясно, что позитивного появилось. Старье «стабильное» вижу. То, что вкорячили еще в 15.2 pipewire, который жрал дохрена, помню.

А из позитивного что? Ну, кроме того, что теперь еще и бинарники берут от sle?

gutaper ★★★★ ()
Ответ на: комментарий от saahriktu

Вынести и заблокировать установку никто не запрещает

А, ну да. Из стабильного дистра. Напомню - он приехал туда мне не при установке. А «сам». А заблокировав его - блокируешь и то, что на него вяжут.

gutaper ★★★★ ()

построен не только из исходного кода SUSE Linux Enterprise, как в предыдущих версиях, но и с использованием тех же двоичных пакетов

Да ладно?!! Бинарная совместимость? Полная? На тех же ядрах? И lp153 в версиях пакетов нету?

pinus_nigra ()
Ответ на: комментарий от saahriktu

Там была зависимость у libpiewire от pipewire насколько я помню. Даже другие мантенеры автору шедевра напиаали, что так не делают

Это показатель направления качения дистрибутива

gutaper ★★★★ ()
Ответ на: комментарий от saahriktu

Это была не ошибка. Он специально таким способом «предустановил». Обсуждали же.

Напомню - это стабильная ветка. plasma вот вам lts, а pipewire всунем аж вперёд федоры.

А то, что mpv новый не собирался из-за старого glibc - это стабильность же.

Такая вот она у них избирательная

gutaper ★★★★ ()
Ответ на: комментарий от saahriktu

Ещё более новая альса и ещё более новый pipewire?

Или проще говоря - что барин в энтерпрайзе соберет. А что не соберётся из-за старых компонентов - всегда пожалуйста в перекатиполе.

Для дома к 15.5 будет пригоден разве что тем, кто котов смотрит на пикабе

gutaper ★★★★ ()
Ответ на: комментарий от gutaper

Странные решения - это тоже ошибки.

а pipewire всунем аж вперёд федоры

Так можно было бы говорить если бы он всем устанавливался. А он устанавливался далеко не всем. Только как зависимость.

saahriktu ★★★★★ ()
Ответ на: комментарий от saahriktu

Не перестанет, конечно. Но на 15.2 я уже не смог собрать свежий mpv

Вот я и говорю - котов смореть сойдет, а чуть захочешь в сторону - начинается превозмогание

gutaper ★★★★ ()
Последнее исправление: gutaper (всего исправлений: 1)
Ответ на: комментарий от gutaper

Вы так говорите, как будто бы в прошлогодних версиях софта совсем функционала не было, весь функционал добавили только в этом году.

Вот что появилось в том же новом mpv? Поддержка каких-то новых видеоформатов? Он их берёт в библиотеке ffmpeg (кстати, это одна из причин по которой не собирается новая версия mpv). И в ней тоже принципиально ничего не поменялось. Видеоформаты всё те же, они так часто не меняются.

Если же кому-то вот прямо сейчас нужно самый-самый свежий софт - это к openSUSE Tumbleweed или Федоре.

А Leap для тех, кто не видит смысла часто обновляться. Всё равно в новых версиях не так уж и много изменений.

saahriktu ★★★★★ ()
Ответ на: комментарий от saahriktu

У каждого свои потребности в новом, поэтому не вижу смысла приводить выдержки из changelog. для меня они будут существенны, кто-то скажет «нинужно».

Что до ffmpeg - я тут тему создавал, что в opensuse 15.2 как собрали при релизе версию, так и бросили. Заплаток уязвимостей не удосужились наложить. А зачем? Все же пакманом обмазались.

Такой вот подход. Новых версий не надо. Но и старые абы как поддерживаем.

Да, ресурсов нет скорее всего. С каждым релизом все больше и больше становится не понятно, для чего Leap.

gutaper ★★★★ ()
Последнее исправление: gutaper (всего исправлений: 1)
Ответ на: комментарий от saahriktu

Не «вот прям сейчас». А вообще обновления.

Дебиан не частит с релизами, но у них разве плазму lts тащат третий (?) релиз подряд? Выше писали про этот lts - одно название.

А взять nftables. В opensuse осилили в этом релизе service файлы systemd добавить? А то не было в пакете их. Я из дебиана брал с небольшой правкой.

gutaper ★★★★ ()
Последнее исправление: gutaper (всего исправлений: 1)
Ответ на: комментарий от gutaper

У каждого свои потребности в новом

Что значит «свои»? Я ж и говорю, что у разных дистрибутивов разные характеристики.

Leap, как и Debian, принципиально для тех, кому нужен прошлогодний софт. Поэтому нелепо брать Leap, а потом жаловаться на то, что софт недостаточно свежий. Свежий софт, повторяю, в Федоре и openSUSE Tumbleweed. Ну и в Arch'е, да.

Заплатки не накладывают там, где приходят к заключению, что «not affected». А так обновления, в т.ч. и безопасности, регулярно выходят, и их не заметить может только тот, кто не обновляется.

saahriktu ★★★★★ ()
Ответ на: комментарий от gutaper

Между минорными релизами и у Debian'а вряд ли значительно версии софта меняются. Во всех дистрибутивах свои недопилы. В Debian'е, помню, не было, например, шаблона конфига rp-pppoe, тоже из других дистрибутивов тащил.

saahriktu ★★★★★ ()
Ответ на: комментарий от saahriktu

Заплатки не накладывают там, где приходят к заключению, что «not affected»

Заплатки на sles или sled были. А в opensuse - нет. Если развить эту тему - можно поискать. Пока пишу по памяти. Или как-раз sles sled были not affected, а opensuse была affected, но забили

gutaper ★★★★ ()
Последнее исправление: gutaper (всего исправлений: 1)
Ответ на: комментарий от gutaper

Во-первых, SLES и SLED могут поставляться с дополнительным софтом, сочетание с которым и может приводить к уязвимости. А если в openSUSE такого софта нет, то и получаем «not affected».

А там было не одно CVE. И по ряду разных были разные заключения, но в основном именно для SLE, а не openSUSE.

Во-вторых, сейчас как раз и убрали границу между SLE и openSUSE. И теперь патчи для SLES/SLED должны автоматически и в openSUSE приходить.

saahriktu ★★★★★ ()
Ответ на: комментарий от saahriktu

Да, наверно, опенсусе можно сравнить с дебианом по стабильности, по дружелюбию к домохозяйкам, он даже выигрывает, но вот чего не могу понять - почему на одних и тех же машинах дебиан летает, а опенсусе люто подтормаживает

anonymous ()